OPSTACK(1)

NAME
opstack - produce callgraph symbol summaries

SYNOPSIS
opstack [ options ] [profile specification]

DESCRIPTION

opstack outputs binary callgraph symbol summaries. Currently, this requires an x86-based box and a 2.6 kernel patch; see http://oprofile.sf.net/patches/.

OPTIONS

--accumulated / -c
    Accumulate sample and percentage counts in the symbol list.

--debug-info / -g
    Show source file and line for each symbol.

--demangle=none|smart|normal
    none: no demangling. normal: use default demangler (default) smart: use pattern-matching to make C++ symbol demangling more readable.

--show-address / -w
    Show each symbol's VMA address.

--no-header
    Don't output a header detailing profiling parameters.

--long-filenames / -l
    Output full paths instead of basenames.

--exclude-dependent / -x
    Do not include application-specific images for libraries, kernel modules and the kernel. This option only makes sense if the profile session used --separate.

--help / -? / --usage
    Show help message.

--image-path / -p [paths]
    Comma-separated list of additional paths to search for binaries. This is needed to find modules in kernels 2.6 and upwards.

--merge / -m [lib,cpu,tid,tgid,unitmask,all]
    Merge any profiles separated in a --separate session.

--threshold / -t [percentage]
    Only output data for symbols that have more than the given percentage of total samples.

--verbose / -V [options]
    Give verbose debugging output.

--version / -v
    Show version.

ENVIRONMENT
No special environment variables are recognised by opstack.

FILES

/var/lib/oprofile/samples/
    The location of the generated sample files.

VERSION

This man page is current for oprofile-0.8.

SEE ALSO
/usr/share/doc/oprofile/, oprofile(1)